org.apache.commons.io.filefilter

## Class CanWriteFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.CanWriteFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class CanWriteFileFilter
    extends AbstractFileFilter
    implements Serializable

This filter accepts `File`s that can be written to.

Example, showing how to print out a list of the current directory's writable files:

     File dir = new File(".");
     String[] files = dir.list( CanWriteFileFilter.CAN_WRITE );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Example, showing how to print out a list of the current directory's un-writable files:

     File dir = new File(".");
     String[] files = dir.list( CanWriteFileFilter.CANNOT_WRITE );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

N.B. For read-only files, use `CanReadFileFilter.READ_ONLY`.

Since:
  1.3
Version:
  $Id$
See Also:
  Serialized Form

### Field Summary

Fields
`static IOFileFilter` `CAN_WRITE` Singleton instance of writable filter
`static IOFileFilter` `CANNOT_WRITE` Singleton instance of not writable filter

### Constructor Summary

Constructors
`protected` `CanWriteFileFilter()` Restrictive constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept(File file)` Checks to see if the file can be written to.

### Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter

`accept, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CAN_WRITE

    public static final IOFileFilter CAN_WRITE

Singleton instance of writable filter

#### CANNOT_WRITE

    public static final IOFileFilter CANNOT_WRITE

Singleton instance of not writable filter

### Constructor Detail

#### CanWriteFileFilter

    protected CanWriteFileFilter()

Restrictive constructor.

### Method Detail

#### accept

    public boolean accept(File file)

Checks to see if the file can be written to.

Specified by:
  `accept` in interface `FileFilter`
Specified by:
  `accept` in interface `IOFileFilter`
Overrides:
  `accept` in class `AbstractFileFilter`
Parameters:
  `file` - the File to check
Returns:
  `true` if the file can be written to, otherwise `false`.